/* ==========================
   Leaflet Popup
========================== */

.leaflet-popup-content-wrapper{
    border-radius:16px;
    padding:0;
    overflow:hidden;
    box-shadow:
        0 8px 28px rgba(0,0,0,.18);
}

.leaflet-popup-content{
    margin:16px;
    width:280px !important;
}

.leaflet-popup-tip{
    box-shadow:none;
}

/* ==========================
   Asset Popup
========================== */

.asset-popup{
    font-family:"Inter","Segoe UI",sans-serif;
    color:#202124;
}

.asset-popup-title{
    font-size:16px;
    font-weight:600;
    line-height:1.35;
    margin-bottom:4px;
    color:#202124;
}

.asset-popup-type{
    font-size:13px;
    color:#5f6368;
    margin-bottom:14px;
}

.asset-popup-image{

    width:100%;
    height:155px;

    overflow:hidden;

    border-radius:12px;

    background:#f3f4f6;
}

.asset-popup-image img{

    width:100%;
    height:100%;

    object-fit:cover;

    display:block;
}

.asset-popup-footer{

    margin-top:14px;
    padding-top:12px;

    border-top:1px solid #e8eaed;

    display:flex;
    justify-content:space-between;
    align-items:center;
}

.asset-popup-footer a{

    display:flex;
    align-items:center;
    gap:5px;

    font-size:13px;
    font-weight:500;

    color:#1a73e8;

    text-decoration:none;

    transition:.2s;
}

.asset-popup-footer a:hover{

    color:#1558d6;
}

.asset-popup-footer svg{

    width:16px;
    height:16px;

    fill:currentColor;
}